#!/bin/sh
#
# this script takes the maximum Y-value as an (optional) argument, 
# e.g. 1d-k-density.sh 100 will collect all files ending in k-density.dat and plot them
# using gnuplot and ghostview
#
# Kaspar Sakmann (2007)
#
KMAX=5
YMIN=-0.2
YMAX=$1
OUT_FILE=./1BODYMOMENTUM.gnu
OUT_PS=./1BODYMOMENTUM.ps
echo creating gnuplot file ${OUT_FILE}
echo for output in ${OUT_PS}
FILE_LIST="`ls -tr *k-density.dat`"


rm -f ${OUT_FILE} ${OUT_PS}
echo FILE_LIST: ${FILE_LIST}

echo "set terminal po po enh col solid;"> ${OUT_FILE}
echo "set output \"${OUT_PS}\" " >> ${OUT_FILE}
echo "set ylabel '{/Symbol=19 r}(k)'">> ${OUT_FILE}
echo "set key  top right">> ${OUT_FILE}
echo "set grid;" >> ${OUT_FILE}

for i in ${FILE_LIST} ; 
do
echo "file: ",$i

echo " plot [][${YMIN}:${YMAX}] \
\"$i\" using (\$1):(\$4) t \"{/Symbol r}(k,t)\" w lp lt 1 pt 1
" >> ${OUT_FILE} 

done

gnuplot ${OUT_FILE} 
gv ${OUT_PS}

