#!/bin/sh
#
# This script plots the probability in the left halfspace as a function of time
#
# Kaspar Sakmann 2009
#
DIR=.
OUT_FILE=./LEFT.gnu
OUT_PS=./LEFT.ps
echo creating gnuplot file ${OUT_FILE}
echo for output in ${OUT_PS}
FILE_LIST=./probabilityLeft*.dat
XMIN=0
XMAX=*


rm -f ${OUT_FILE} ${OUT_PS}
echo FILE_LIST: ${FILE_LIST}

echo "set terminal po po enh col solid;"> ${OUT_FILE}
echo "set output \"${OUT_PS}\" " >> ${OUT_FILE}
echo "set ylabel 'p_L(t)'">> ${OUT_FILE}
echo "set key  top right">> ${OUT_FILE}
echo "set grid;" >> ${OUT_FILE}

for i in ${FILE_LIST} ; 
do
echo "file: ",$i

echo " plot [$XMIN:$XMAX][0:1] \
\"$i\" using (\$1):(\$2) t \"p_L(t) \" w l lt -1 
" >> ${OUT_FILE} 

done

gnuplot ${OUT_FILE} 
gv ${OUT_PS}

