#!/bin/sh
#
# this 2d script will collect all files ending in x-density.dat and plot them
# using gnuplot and ghostview. 
#
# Kaspar Sakmann 2007
#
OUT_FILE=./1BODYDENSITY.gnu
OUT_PS=./1BODYDENSITY.ps
echo creating gnuplot file ${OUT_FILE}
echo for output in ${OUT_PS}
FILE_LIST="`ls -tr *x-density.dat`"

rm -f ${OUT_FILE} ${OUT_PS}
echo FILE_LIST: ${FILE_LIST}

echo these files are used for plotting: ${FILE_LIST} 
echo "# File to plot the densities"	> ${OUT_FILE}
echo "set terminal postscript col enhanced 16 " >> ${OUT_FILE} 
echo "set output \"${OUT_PS}\"	" 	>> ${OUT_FILE}
echo "set border 4095 lt -1 lw 1.000"	>> ${OUT_FILE}
echo "unset surface"			>> ${OUT_FILE}
echo "set style data pm3d"		>> ${OUT_FILE}
echo "set style function pm3d"		>> ${OUT_FILE}
echo "set ticslevel 0"			>> ${OUT_FILE}
echo "set xlabel \"x\"   ">> ${OUT_FILE}
echo "set output \"${OUT_PS}\"	" 	>> ${OUT_FILE}
echo "set xrange [ ] noreverse nowriteback	">> ${OUT_FILE}
echo "set ylabel \"y\"   	">> ${OUT_FILE}
echo "set yrange [ ] noreverse nowriteback	">> ${OUT_FILE}
echo "set size ratio -1			">> ${OUT_FILE}
echo "set pm3d at st			">> ${OUT_FILE}
echo "set view map"			>> ${OUT_FILE}
echo "set title \"One-body density">> ${OUT_FILE}
echo "set cbrange[0:]">> ${OUT_FILE}
echo "set zrange [0:] noreverse nowriteback		    ">> ${OUT_FILE}

for i in ${FILE_LIST} ; 
  do
    echo "now plotting file: ",$i
    echo "splot [][] \"$i\" using (\$1):(\$2):(\$4) notitle  ">> ${OUT_FILE} 
  done

gnuplot ${OUT_FILE} 
gv ${OUT_PS}

