#!/bin/sh
# This script plots the natural orbital occupations 
#
# Kaspar Sakmann (2007)
#
OUT_FILE=NOCCS.gnu
OUT_PS=NOCCS.ps
FILE_LIST1=`ls -tr naturalOccupations*.dat`

rm -f ${OUT_FILE} ${OUT_PS}
echo FILE_LIST: ${FILE_LIST1} 

echo "set terminal po po enh col solid;"> ${OUT_FILE}
echo "set output \"${OUT_PS}\" " >> ${OUT_FILE}
echo "set xlabel \"t\"  "  >> ${OUT_FILE}
echo "set ylabel 'n^{(1)}_i'">> ${OUT_FILE}
echo "set key  top right">> ${OUT_FILE}
echo "set title 'natural occupations of the system ' " >> ${OUT_FILE}

for i in ${FILE_LIST1} ; 
do
echo "file: ",$i
echo "plot [][-0.1:1.1] \
\"$i\" using (\$1):(\$2) t \"n_1 \" w l lt 1 ,\
\"$i\" using (\$1):(\$3) t \"n_2 \" w l lt 2 
" >> ${OUT_FILE} 

done

gnuplot ${OUT_FILE} 
gv ${OUT_PS}
