!---------------------------------------------------------------------------
!> This module contains default initializations. Some of these are overwritten
!> file input.nml is read in and their values are determined depending 
!> on the input, e.g. nConf. These are the default values in case
!> the variable is not read in via the input file. This is just to make sure
!> that there are no uninitialized variables anywhere in the code. Keep it that !> way! This is a strict requirement for submitting code.
!>
!> \authors Kaspar Sakmann (2007)
!> \since 2007 
MODULE moduledefaults
USE moduleparameters
IMPLICIT NONE
SAVE

integer*4 :: nConf=0
integer   :: nSuperDiags=0 

integer   :: RepeatedSteps=0,printscreen=0,iprintNextTiny = 0, &
             iprintNext=0,iprintAllNext=0

integer :: rlaxnum  = 0  !Relaxation to the ground state

real*8  :: InitStep=0,tau1=0.d0,tau2=0.d0,tau3=0.d0
real*8  :: CVecError=0.d0,PsiError=0.d0,delta=0.d0

real*8  :: IntPeriod=0.d0,Stepsize=0.d0,norm=0.d0,tau=0.d0,tausave=0.d0
real*8  :: IntegratorTolError=1.d-6,RelaxTolError=1.d-6
real*8  :: ABMIntPeriod=0.d0
logical :: ortho=.true.      

!---------------- for the Short iterative Lanczos (SIL) ---------------------

real*8  :: EigenVector(0:SILmaxIntOrder,0:SILmaxIntOrder+2)=0.d0, &
           Diagonal(0:SILmaxIntOrder)=0.d0,OffDiag(SILmaxIntOrder)=0.d0,&
           EigenVal(0:SILmaxIntOrder)=0.d0,OffDg2(SILmaxIntOrder+1)=0.d0

real*8  :: SILIntPeriod1=0.d0,SILIntPeriod2=0.d0

!------------------------------------------------------------------------
integer   :: TrueOrder=0,ErrorCode=0, Steps=0
logical   :: RestartSIL=.TRUE.,StdForm  = .TRUE.

real*8    :: RData(10)=0.d0
integer*4 :: IData(30)=0
logical   :: LData=.false.
real*8    :: energy=0.d0,defect=10.d0
INTEGER   :: totalNoGridPts=0
integer   :: k=0,dilation=1,iFail=1
real*8    :: meanDensity=0.d0
real*8    :: cumulativeProbability=0.d0,printNext=0.d0,printAllNext=0.d0,printNextTiny=0.d0

character(255) :: identifier=''


END MODULE moduledefaults
